package divwarnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически воюет в сражении
*/

// DivWarNet -- танкует в сражении
type DivWarNet struct {
	*sectionnet.SectionNet
	bot types.ИБот
}

// NewDivWarNet -- возвращает новый *DivWarNet
func NewDivWarNet(bot types.ИБот) (*DivWarNet, error) {
	if bot == nil {
		return nil, fmt.Errorf("NewDivWarNet(): IServBpt == nil")
	}

	sf := &DivWarNet{
		// SectionNet: sectionnet.NewSectionNet(server, bot, ..., "http://wartank.ru/bitva"),
		bot: bot,
	}
	return sf, nil
}
